configFileLoad(3)

NAME
configFileLoad - parse a configuration file

SYNOPSIS
#include <your-opts.h>
cc [...] -o outfile infile.c -lopts [...]

const tOptionValue * configFileLoad(char const * fname);

DESCRIPTION
This routine will load a named configuration file and parse the text as a hierarchically valued option. The option descriptor created from an option definition file is not used via this interface. The returned value is "named" with the input file name and is of type "OPARG_TYPE_HIERARCHY". It may be used in calls to optionGetValue(), optionNextValue() and optionUnloadNested().

fname
    the file to load

RETURN VALUE
An allocated, compound value structure

ERRORS
If the file cannot be loaded or processed, NULL is returned and errno is set. It may be set by a call to either open(2) mmap(2) or other file system calls, or it may be:

ENOENT - the file was not found.

ENOMSG - the file was empty.

EINVAL - the file contents are invalid -- not properly formed.

ENOMEM - not enough memory to allocate the needed structures. @end itemize

SEE ALSO
The info documentation for the -lopts library.
ao_string_tokenize(3), optionFileLoad(3), optionFindNextValue(3), optionFindValue(3), optionFree(3), optionGetValue(3), optionLoadLine(3), optionMemberList(3), optionNextValue(3), optionOnlyUsage(3), optionPrintVersion(3), optionPrintVersionAndReturn(3), optionProcess(3), optionRestore(3), optionSaveFile(3), optionSaveState(3), optionUnloadNested(3), optionVersion(3), strequate(3), streqvcmp(3), streqvmap(3), strneqvcmp(3), strtransform(3),